Package org.eclipse.jface.text.source

## Interface IAnnotationModelListenerExtension

All Known Implementing Classes:
  `AnnotationPainter`

    public interface IAnnotationModelListenerExtension

Extension interface for `IAnnotationModelListener`. Introduces a notification mechanism that notifies the user by means of `AnnotationModelEvent`s. Thus, more detailed information can be sent to the listener. This mechanism replaces the original notification mechanism of `IAnnotationModelListener`.

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `modelChanged​(AnnotationModelEvent event)` Called if a model change occurred on the given model.

### Method Detail

#### modelChanged

    void modelChanged​(AnnotationModelEvent event)

Called if a model change occurred on the given model.

Parameters:
  `event` - the event to be sent out